package cn.com.tenlion.systembase.pojo.pos.comprehensivecenter;

/**
 *
 * @ClassName: ComprehensiveCenterPO
 * @Description: 综治中心
 * @Author: CodeFactory
 * @Date: 2021-10-12 15:24:00
 * @Version: 3.0
 **/
public class ComprehensiveCenterPO {

    private String comprehensiveCenterId;
    private String centerName;
    private String centerPhone;
    private String centerLevel;
    private String centerLevelName;
    private String centerLevelCode;
    private String linkMan;
    private String linkPhone;
    private String component;
    private String location;
    private String locationName;
    private String locationCode;
    private String address;
    private Double longitude;
    private Double latitude;

    public String getComprehensiveCenterId() {
        return comprehensiveCenterId == null ? "" : comprehensiveCenterId.trim();
    }

    public void setComprehensiveCenterId(String comprehensiveCenterId) {
        this.comprehensiveCenterId = comprehensiveCenterId;
    }

    public String getCenterName() {
        return centerName == null ? "" : centerName.trim();
    }

    public void setCenterName(String centerName) {
        this.centerName = centerName;
    }

    public String getCenterPhone() {
        return centerPhone == null ? "" : centerPhone.trim();
    }

    public void setCenterPhone(String centerPhone) {
        this.centerPhone = centerPhone;
    }

    public String getCenterLevel() {
        return centerLevel == null ? "" : centerLevel.trim();
    }

    public void setCenterLevel(String centerLevel) {
        this.centerLevel = centerLevel;
    }

    public String getCenterLevelName() {
        return centerLevelName == null ? "" : centerLevelName.trim();
    }

    public void setCenterLevelName(String centerLevelName) {
        this.centerLevelName = centerLevelName;
    }

    public String getCenterLevelCode() {
        return centerLevelCode == null ? "" : centerLevelCode.trim();
    }

    public void setCenterLevelCode(String centerLevelCode) {
        this.centerLevelCode = centerLevelCode;
    }

    public String getLinkMan() {
        return linkMan == null ? "" : linkMan.trim();
    }

    public void setLinkMan(String linkMan) {
        this.linkMan = linkMan;
    }

    public String getLinkPhone() {
        return linkPhone == null ? "" : linkPhone.trim();
    }

    public void setLinkPhone(String linkPhone) {
        this.linkPhone = linkPhone;
    }

    public String getComponent() {
        return component == null ? "" : component.trim();
    }

    public void setComponent(String component) {
        this.component = component;
    }

    public String getLocation() {
        return location == null ? "" : location.trim();
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLocationName() {
        return locationName == null ? "" : locationName.trim();
    }

    public void setLocationName(String locationName) {
        this.locationName = locationName;
    }

    public String getLocationCode() {
        return locationCode == null ? "" : locationCode.trim();
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getAddress() {
        return address == null ? "" : address.trim();
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Double getLongitude() {
        return longitude == null ? 0D : longitude;
    }

    public void setLongitude(Double longitude) {
        this.longitude = longitude;
    }

    public Double getLatitude() {
        return latitude == null ? 0D : latitude;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }

}
